#
# spec file for package helmtui
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           helmtui
Version:        0.5.1
Release:        1.2
Summary:        A simple terminal UI for Helm
License:        MIT
URL:            https://github.com/pidanou/helmtui
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.18

%description
Helmtui is a terminal-based UI application to manage your Helm releases,
charts, repositories, and plugins with ease.

Features

* Manage Helm releases effortlessly.
* Add, update, and remove Helm repositories.

%prep
%autosetup -p 1 -a 1

%build
CGO_ENABLED=1 go build \
   -mod=vendor \
   -buildmode=pie \
   -o bin/%{name}

%install
# Install the binary.
install -D -m 0755 bin/%{name} %{buildroot}/%{_bindir}/%{name}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Dec 23 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.5.1:
  * fix: streamline navigation and remove useless cleanup function
  * fix: fix Readme
  * fix: install script for helm plugin
  * fix: Repo and product to name to match helm plugin command
* Sun Dec 22 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.5.0:
  * feat: add goreleaser and helm plugin yaml file (#17)
* Sun Dec 22 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.4.0:
  * feat: add confirmation window to delete release
  * feat: add plugins management (#16)
  * fix: change structure of file and folders (#15)
  * fix: Use JSON output from helm commands (#14)
  * feat: allow lookup of default value of repositories view (#12)
  * Child focus state not managed by parents  (#11)
  * fix: also run CI on main
  * feat: add CI (#10)
  * Feat/makefile and tests (#7)
  * fix: keymaps and placeholders
  * feat: Add hub search to add repo and look for values
  * fix: repo panel navigation fix
  * feat: add suggestions for installing charts
* Fri Dec 20 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.3.0:
  * feat: add cleanup function + add install from release tab
  * feat: use ~/.helmtui folder to store values and not delete them
  * fix: fix cleanup value files
  * feat: add demos
  * feat: add repo update
  * feat: add repository
  * feat: install and upgrade with default and last values
  * feat: install package with value file
  * fix: Add license
  * feat: Add Readme
* Fri Dec 20 2024 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- new package helmtui: a simple terminal UI for Helm
